Bug 18959 - RFE: Please include HTML-Tidy?
RFE: Please include HTML-Tidy?
Product: Red Hat Linux
Classification: Retired
Component: distribution (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2000-10-12 10:04 EDT by Telsa Gwynne
Modified: 2007-04-18 12:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-02 14:26:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Telsa Gwynne 2000-10-12 10:04:37 EDT
Glad to see that the DocBook tools are around on RH 7.0 (and 6.2, yes).
Would it be possible to include a couple of small but useful tools for
docs on Powertools in future?

I am particularly thinking of HTML Tidy, found off
http://www.w3.org/People/Raggett/tidy/ It's a nifty little script for
tidying HTML generated by sloppy people like me or by editors and
conversion tools like (open)jade. Its licence is BSD-style. It is very
very cool, pretty small, and incredibly useful. It even has docs :)

Something I would -love- to see in addition is the gnome-doc-tools
package which is found off http://people.redhat.com/dcm/software but
I don't know whether I can convince you it is -that- widely used, alas :)
(Unless this bug gets assigned to dcm of course..). I expect the KDE
people would argue for ksgmltools for the same reason I want
gnome-doc-tools, too.

I tried to put this as an RFE for powertools, but there is no relevant
component in there, and it won't let me enter random stuff into the
component text box. Boo hiss!
Comment 1 geir37 2000-10-19 21:23:26 EDT
Yes! add tidy :-) It's just as important as wget...
Comment 2 Emmanuel Galanos 2001-02-15 05:28:26 EST
Just adding my vote for this software. It is a very small piece of
software. Not much effort needed to add it...
Comment 3 Milan Kerslager 2001-02-15 05:35:42 EST
I vote too. It's veri nice.
Comment 4 R P Herrold 2001-02-20 14:49:50 EST
We too already use it -- see:
at the bottom -- although I must admin it is not perfect,
it is guite helpful
Comment 5 Eliot Landrum 2001-03-08 12:06:34 EST
htmltidy is really a must for any distribution!
Comment 6 Alan Cox 2002-12-14 21:28:09 EST
Bumping to reference 8.0 and adding a vote 8)
Comment 7 Janne Pikkarainen 2003-05-12 15:45:10 EDT
Yes! Definitely adding a vote for this one.
Comment 8 Bill Nottingham 2005-03-02 14:26:55 EST
Closing bugs on older, no longer supported releases. Apologies for
lack of response.

This looks like a good candidate for Fedora Extras:


Note You need to log in before you can comment on or make changes to this bug.